/*
** PGP5GUI - A GUI using Magic User Interface v3.8
**
** Copyright 23-JUNE-1998 by Stefan Zakarias, All Rights Reserved.
**
** This source code is released as FREEWARE - Use it for whatever you like,
** as long as NO financial reward is gained by you for such usage.
**
** If you use any parts of the this source code for anything, give ME credit
** wherever credit is due, please ;-)
*/

#ifndef GUI_FILE_H
#define GUI_FILE_H

/* Types */
#include <exec/types.h>
struct ObjApp
{
	APTR	App;
	APTR	WI_Main;
	APTR	GR_Functions;
	APTR	CY_Encrypt_MODE;
	APTR	CY_Encrypt_USEARMOR;
	APTR	CY_Encrypt_TEXTMODE;
	APTR	CY_Encrypt_CLIP;
	APTR	GR_Enc_File;
	APTR	STR_PA_Encrypt_FROMFILE;
	APTR	IM_Pop_Enc;
	APTR	BT_Encrypt_DOIT;
	APTR	CY_Decrypt_OUTTYPE;
	APTR	GR_Dec_File;
	APTR	STR_PA_Decrypt_TOFILE;
	APTR	IM_Pop_Dec;
	APTR	BT_Decrypt_DOIT;
	APTR	CY_Sign_DETACH;
	APTR	CY_Sign_MODE;
	APTR	CY_Sign_TEXTMODE;
	APTR	CY_Sign_CLIP;
	APTR	GR_Sig_File;
	APTR	STR_PA_Sign_POPFILE;
	APTR	IM_Pop_Sig;
	APTR	BT_Sign_DOIT;
	APTR	GR_Keys;
	APTR	CY_KeysAdd_CLIP;
	APTR	GR_Keys_AddFile;
	APTR	STR_PA_Keys_ADD_KEYFILE;
	APTR	IM_Pop_Keys_AddFile;
	APTR	BT_Keys_ADD_KEYADD;
	APTR	BT_Keys_EDIT_KEYCHECK;
	APTR	BT_Keys_EDIT_KEYDISABLE;
	APTR	BT_Keys_EDIT_KEYEDIT;
	APTR	BT_Keys_EDIT_KEYREMOVE;
	APTR	BT_Keys_EDIT_REMOVESIG;
	APTR	BT_Keys_EDIT_REMOVEUID;
	APTR	BT_Keys_EDIT_KEYREVOKE;
	APTR	BT_Keys_EDIT_KEYREVSIG;
	APTR	BT_Keys_EDIT_KEYSIGN;
	APTR	BT_Keys_EDIT_KEYSIGNKEY;
	APTR	BT_Keys_MISC_KEYGEN;
	APTR	BT_Keys_MISC_KEYEXTRACT;
	APTR	BT_Keys_MISC_KEYLIST;
	APTR	BT_Keys_MISC_KEYLIST_UPDATE;
	APTR	GR_Status;
	APTR	TX_Status;
	char *	STR_TX_Status;
	char *	STR_GR_Functions[5];
	char *	CY_Encrypt_MODEContent[4];
	char *	CY_Encrypt_USEARMORContent[3];
	char *	CY_Encrypt_TEXTMODEContent[3];
	char *	CY_Encrypt_CLIPContent[5];
	char *	CY_Decrypt_OUTTYPEContent[7];
	char *	CY_Sign_DETACHContent[3];
	char *	CY_Sign_MODEContent[3];
	char *	CY_Sign_TEXTMODEContent[3];
	char *	CY_Sign_CLIPContent[5];
	char *	STR_GR_Keys[4];
	char *	CY_KeysAdd_CLIPContent[3];
};

struct WinConfigs
{
	WORD con_LeftEdge;
	WORD con_TopEdge;
	WORD con_Width;
	WORD con_Height;
	LONG blank;
    ULONG asl_LeftEdge;
    ULONG asl_TopEdge;
    ULONG asl_Width;
    ULONG asl_Height;
	LONG end;
};

#define Encrypt_DOIT 1
#define Decrypt_DOIT 2
#define Sign_DOIT 3

#define ADD_KEYADD 10

#define EDIT_KEYCHECK   20
#define EDIT_KEYDISABLE	21
#define EDIT_KEYEDIT    22
#define EDIT_KEYREMKEY	23
#define EDIT_KEYREMSIG	24
#define EDIT_KEYREMUID  25
#define EDIT_KEYREVOKE	26
#define EDIT_KEYREVSIG	27
#define EDIT_KEYSIGN	28
#define EDIT_KEYSIGNKEY	29

#define MISC_KEYGEN		30
#define MISC_KEYEXTRACT	31
#define MISC_KEYLIST	32
#define MISC_KEYLIST_UPDATE	33

#define Pop_Enc_File	40
#define Pop_Dec_File	41
#define Pop_Sig_File	42
#define Pop_Keys_AddFile	43

#define Enc_FILE_CLIP	50
#define Decrypt_OUTTYPE	51
#define Sig_FILE_CLIP	52
#define AddKeys_FILE_CLIP	53

#endif
