/*
** PGP5GUI - A GUI using Magic User Interface v3.8
**
** Copyright 23-JUNE-1998 by Stefan Zakarias, All Rights Reserved.
**
** This source code is released as FREEWARE - Use it for whatever you like,
** as long as NO financial reward is gained by you for such usage.
**
** If you use any parts of the this source code for anything, give ME credit
** wherever credit is due, please ;-)
*/

#include <exec/types.h>
#include <exec/execbase.h>
#include <exec/libraries.h>
#include <exec/memory.h>
#include <exec/ports.h>
#include <exec/io.h>

#include <devices/clipboard.h>

#include <dos/dos.h>
#include <dos/exall.h>
#include <dos/dostags.h>

#include <libraries/asl.h>
#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <libraries/gadtools.h>
#include <libraries/mui.h>

#include <utility/tagitem.h>

#include <workbench/workbench.h>
#include <workbench/startup.h>

#include <proto/asl.h>
#include <proto/dos.h>
#include <proto/exec.h>
#include <proto/muimaster.h>

#include <clib/alib_protos.h>
#include <clib/alib_stdio_protos.h>

#include <string.h>

#include "PGP5GUI.h"
#include "SelPGPKeyGUI.h"
